* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html, body {
  height: 100%;
}

body {
  font-family: sans-serif;
  background: linear-gradient(to bottom, rgba(201,143,68,0.96), rgba(110,15,15,0.96));
  min-height: 100vh;
  color: white;
  display: flex;
  flex-direction: column;
overflow-y: scroll;         /* tetap scrollable */
  scrollbar-width: none;     /* Firefox */
  -ms-overflow-style: none;  /* IE/Edge */
}

html, main, .wrapper {
  scrollbar-width: none;
  -ms-overflow-style: none;
}

html::-webkit-scrollbar,
main::-webkit-scrollbar,
.wrapper::-webkit-scrollbar {
  display: none;
}

.wrapper {
  flex: 1;
  display: flex;
  flex-direction: column;
}
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 40px;
}

.logo {
  background-color: #eaeaea;
  color: black;
  padding: 10px 30px;
  font-weight: bold;
}

nav ul {
  display: flex;
  gap: 20px;
  list-style: none;
}

nav a {
  text-decoration: none;
  color: white;
  font-weight: bold;
}
nav a:hover {
  color: #f8cc45;
}

.language-switch a {
  text-decoration: none;
  color: white;
  font-weight: bold;
  margin: 0 4px;
}


.language-switch a:hover {
  color: #f8cc45;
}

main {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  flex-wrap: wrap; 
  padding: 60px 40px;
  gap: 40px;
}

/* Circle default */
.circle {
  width: 330px;
  height: 330px;
  background-color: #e0e0e0;
  border-radius: 50%;
  overflow: hidden;
  position: relative;
}
/* main::-webkit-scrollbar {
  display: none;
} */
.circle img {
  width: 100%;
  height: 100%;
  object-fit: cover;   /* supaya gambar pas dan proporsional */
  display: block;
}
main {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;     /* Firefox */
}
/* Alternatif posisi */
.up {
  margin-top: 0px;
  margin-bottom: 100px;
}

.down {
  margin-top: 100px;
}

.visi-misi {
  width: 90%;
  max-width: 1000px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-areas: 
    "visi misi"
    "ciri misi"
    "sejarah sejarah"
    "struktur struktur"
    "populasi populasi";
  gap: 20px;
  
}

/* Box umum */
.box {
  background-color: rgba(255, 250, 250, 0.316);
  padding: 30px;
  border-radius: 20px;
  text-align: center;
  font-size: 16px;
  color: black;
  font-weight: bold;
  
}

/* Penempatan berdasarkan area */
.visi     { grid-area: visi; }
.misi     { grid-area: misi; }
.ciri     { grid-area: ciri; }
.sejarah  { grid-area: sejarah; }
.struktur  { grid-area: struktur; }
.populasi { grid-area: populasi; }

/* Footer */
footer {
  background-color: #272728;
  color: white;
  padding: 33px 15px;
  margin-top: auto;
}

.footer-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 50px;
  max-width: 1200px;
  margin: auto;
}

/* Left Side */
.footer-left {
  flex: 1;
  min-width: 250px;
}

.logo-area .logo {
  font-size: 25px;
  font-weight: bold;
}

.tagline {
  font-size: 14px;
  color: #aaa;
  margin-top: 5px;
}

.social-icons {
  margin-top: 10px;
}

.social-icons a {
  text-decoration: none;
  color: white;
  margin-right: 15px;
  font-size: 20px;
}

.social-icons a:hover {
  color: #f8cc45;
}

/* Right Side */
.footer-right {
  flex: 2;
  min-width: 300px;
  
}

.footer-right h3 {
  color: #f8cc45;
  margin-bottom: 15px;
  font-size: 15px;
}

.footer-right p {
  font-size: 14px;
  margin-bottom: 9px;
}

.highlight {
  color: #ff7a7a;
}

.address p {
  margin-top: 20px;
  line-height: 1.6;
}

.address a {
  color: #f8cc45;
  text-decoration: none;
}

.address a:hover {
  text-decoration: underline;
}




/* RESPONSIVE */
@media (max-width: 1024px) {
  main {
    gap: 0px;
  }
  .circle {
    width: 250px;
    height: 250px;
  }
}
.hamburger {
  display: none;
  font-size: 28px;
  color: white;
  cursor: pointer;
}
@media (max-width: 768px) {
  main {
    justify-content: space-evenly;
  }

  .circle {
    width: 150px;
    height: 150px;
  }
   header {
    flex-wrap: wrap;
    align-items: flex-start;
  }

  .hamburger {
    display: block;
  }

  nav {
    width: 100%;
  }

  #navbar ul {
    display: none;
    flex-direction: column;
    gap: 10px;
    padding-top: 10px;
  }

  #navbar ul.show {
    display: flex;
  }
}


@media (max-width: 576px) {
  main {
    flex-wrap: nowrap; /* PAKSA 1 baris horizontal di HP kecil */
    overflow-x: auto;   /* biar bisa di-scroll kanan kiri */
    padding: 20px 10px;
  }

  .circle {
    flex: 0 0 auto; 
    width: 150px;
    height: 150px;
  }
}